Bug 36639 - AD-Takeover aborts with traceback if join takes too long (i.e. takeover of large AD).
AD-Takeover aborts with traceback if join takes too long (i.e. takeover of la...
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: AD Takeover
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.0
Assigned To: Arvid Requate
Stefan Gohmann
: interim-4
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-11-13 13:14 CET by Arvid Requate
Modified: 2014-11-26 06:55 CET (History)
0 users

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:
requate: Patch_Available+


Attachments
reconnect_after_join.patch (2.82 KB, patch)
2014-11-13 14:07 CET, Arvid Requate
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Arvid Requate univentionstaff 2014-11-13 13:14:02 CET
AD-Takeover failed with a traceback after successfully joining an AD-domain with a larger number of users (see bug 36628). I assume that this is due to a timeout of the LDAP-connector to the AD:

=============================================================================
2.11.14 22:40:24.057  MODULE      ( PROCESS ) : ### Start von Samba ###
12.11.14 22:40:24.782  MODULE      ( PROCESS ) : Die Ausführung des Kommandos copy_domain_data ist fehlgeschlagen:

Traceback (most recent call last):
  File "/usr/lib/pymodules/python2.7/univention/management/console/modules/adtakeover/__init__.py", line 60, in _background
    result = func(self, request)
  File "/usr/lib/pymodules/python2.7/univention/management/console/modules/adtakeover/__init__.py", line 107, in copy_domain_data
    takeover.join_to_domain_and_copy_domain_data(ip, username, password, self.progress)
  File "/usr/lib/pymodules/python2.7/univention/management/console/modules/adtakeover/takeover.py", line 286, in join_to_domain_and_copy_domain_data
    takeover.post_join_tasks_and_start_samba_without_drsuapi()
  File "/usr/lib/pymodules/python2.7/univention/management/console/modules/adtakeover/takeover.py", line 1036, in post_join_tasks_and_start_samba_without_drsuapi
    takeover_DC_Behavior_Version(self.ucr, self.AD.samdb, self.samdb, self.ad_server_name, self.AD.domain_info["ad_server_site"])
  File "/usr/lib/pymodules/python2.7/univention/management/console/modules/adtakeover/takeover.py", line 2296, in takeover_DC_Behavior_Version
    attrs=["msDS-HasMasterNCs", "msDS-HasInstantiatedNCs", "msDS-Behavior-Version"])
LdbError: (1, 'LDAP client internal error: NT_STATUS_UNEXPECTED_NETWORK_ERROR')
=============================================================================
Comment 1 Arvid Requate univentionstaff 2014-11-13 14:07:13 CET
Created attachment 6362 [details]
reconnect_after_join.patch
Comment 2 Arvid Requate univentionstaff 2014-11-13 15:22:22 CET
Patch applied and tested in my takeover environment. Changelog adjusted.
Comment 3 Stefan Gohmann univentionstaff 2014-11-16 16:18:46 CET
OK, looks good. Test were successful. Changelog OK.
Comment 4 Stefan Gohmann univentionstaff 2014-11-26 06:55:00 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".